<?php

namespace Litecms\Plan\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Litecms\Plan\Interfaces\PlanRepositoryInterface;

class PlanPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Litecms\Plan\Interfaces\PlanRepositoryInterface $plan
     *
     * @return type
     */
    public function __construct(PlanRepositoryInterface $plan)
    {
        $this->model = $plan;
        parent::__construct();
    }

    /**
     * Show plan's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $plans = $this->model->all();

        return $this->theme->of('plan::public.plan.index', compact('plans'))->render();
    }

    /**
     * Show plan.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $plan = $this->model->findBySlug($slug);

        return $this->theme->of('plan::public.plan.show', compact('plan'))->render();
    }
}
